import greenfoot.*;
import java.awt.Color;

public class Star extends Actor
{
    private double x, y;
    private int speed;
    
    public Star()
    {
        int size = Greenfoot.getRandomNumber(5)+1;
        GreenfootImage image = new GreenfootImage(size, size);
        image.setColor(Color.white);
        image.fillOval(0, 0, size, size);
        setImage(image);
        speed = Greenfoot.getRandomNumber(3)+1;
    }
    
    public void addedToWorld(World space)
    {
        x = getX();
        y = getY();
    }

    public void move(int rot)
    {
        x -= Math.cos(Math.toRadians(rot))*speed;
        y -= Math.sin(Math.toRadians(rot))*speed;
        x = (x + 700)%700; // creates a wrap-around feature
        y = (y + 700)%700; // creates a wrap-around feature
        setLocation((int)x, (int)y);
    }
}